> For AI agents: the complete documentation index is available at [llms.txt](https://docs.snaptrade.com/llms.txt), and the full documentation text is available at [llms-full.txt](https://docs.snaptrade.com/llms-full.txt). Markdown versions of documentation pages are available by appending .md to the URL path.

# Get connection detail

GET https://api.snaptrade.com/authorizations/{authorizationId}

Returns a single connection for the specified ID.

Reference: https://docs.snaptrade.com/reference/Connections/Connections_detailBrokerageAuthorization

## Code Examples

### TypeScript

```typescript

import {
  Snaptrade,
  SnaptradeAuth,
} from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  auth: SnaptradeAuth.commercialApiKey({
    consumerKey: "CONSUMER_KEY",
    clientId: "CLIENT_ID",
  }),
});

const response =
  await snaptrade.connections.detailBrokerageAuthorization(
    {
      authorizationId:
        "87b24961-b51e-4db8-9226-f198f6518a89",
      userId: "USER_ID",
      userSecret: "USER_SECRET",
    },
  );
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade, SnapTradeAuth

snaptrade = SnapTrade(
    auth=SnapTradeAuth.commercial_api_key(
        consumer_key="CONSUMER_KEY",
        client_id="CLIENT_ID",
    )
)

response = snaptrade.connections.detail_brokerage_authorization(
    authorization_id="87b24961-b51e-4db8-9226-f198f6518a89",
    user_id="USER_ID",
    user_secret="USER_SECRET"
)
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /authorizations/{authorizationId}:
    get:
      tags:
        - Connections
      summary: Get connection detail
      description: Returns a single connection for the specified ID.
      operationId: Connections_detailBrokerageAuthorization
      parameters:
        - in: path
          name: authorizationId
          required: true
          schema:
            description: >-
              Unique identifier for the connection (brokerage_authorization_id).
              This is the UUID used to reference the connection in SnapTrade.
            type: string
            format: uuid
            example: 87b24961-b51e-4db8-9226-f198f6518a89
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: >
                  A single connection with a brokerage. Note that `Connection`
                  and `Brokerage Authorization` are interchangeable, but the
                  term `Connection` is preferred and used in the doc for
                  consistency.


                  A connection is usually tied to a single login at a brokerage.
                  A single connection can contain multiple brokerage accounts.


                  SnapTrade performs de-duping on connections for a given user.
                  If the user has an existing connection with the brokerage,
                  when connecting the brokerage with the same credentials,
                  SnapTrade will return the existing connection instead of
                  creating a new one.
                type: object
                properties:
                  id:
                    description: >-
                      Unique identifier for the connection
                      (brokerage_authorization_id). This is the UUID used to
                      reference the connection in SnapTrade.
                    type: string
                    format: uuid
                    example: 87b24961-b51e-4db8-9226-f198f6518a89
                  created_date:
                    description: >-
                      Timestamp of when the connection was established in
                      SnapTrade.
                    type: string
                    format: date-time
                    example: '2024-08-20T21:56:19.123Z'
                  brokerage:
                    description: Describes a brokerage that SnapTrade supports.
                    type: object
                    properties:
                      id:
                        description: >-
                          Unique identifier for the brokerage firm. This is the
                          UUID used to reference the brokerage in SnapTrade.
                        type: string
                        format: uuid
                        example: ebf91a5b-0920-4266-9e36-f6cfe8c40946
                      slug:
                        description: >-
                          A short, unique identifier for the brokerage. It is
                          usually the name of the brokerage in capital letters
                          and will never change.
                        type: string
                        example: ROBINHOOD
                      name:
                        description: Full name of the brokerage.
                        type: string
                        example: Robinhood
                      display_name:
                        description: A display-friendly name of the brokerage.
                        type: string
                        example: Robinhood
                      description:
                        description: A brief description of the brokerage.
                        type: string
                        example: >-
                          Robinhood is an American multinational financial
                          services corporation based in Menlo Park, California.
                      aws_s3_logo_url:
                        description: URL to the brokerage's logo.
                        type: string
                        format: url
                        example: >-
                          https://passiv-brokerage-logos.s3.ca-central-1.amazonaws.com/robinhood-logo.png
                      aws_s3_square_logo_url:
                        description: URL to the brokerage's logo in square format.
                        type: string
                        format: url
                        example: >-
                          https://passiv-brokerage-logos.s3.ca-central-1.amazonaws.com/robinhood-logo-square.png
                        nullable: true
                      url:
                        description: >-
                          URL to the brokerage's website. Returns null if the
                          brokerage has no website on record.
                        type: string
                        format: url
                        example: https://robinhood.com
                        nullable: true
                      enabled:
                        description: >-
                          Whether the brokerage is enabled in SnapTrade. A
                          disabled brokerage will not be available for new
                          connections.
                        type: boolean
                        example: true
                      maintenance_mode:
                        description: >-
                          Whether the brokerage is currently in maintenance
                          mode. A brokerage in maintenance mode will not be
                          available for new connections.
                        type: boolean
                        example: true
                      is_degraded:
                        description: >-
                          Whether the brokerage is currently degraded. A
                          degraded brokerage may have reduced functionality or
                          be experiencing technical issues.
                        type: boolean
                        example: true
                      allows_trading:
                        description: >-
                          Whether the brokerage allows trading through
                          SnapTrade.
                        type: boolean
                        nullable: true
                        example: true
                      allows_fractional_units:
                        deprecated: true
                        description: >-
                          This field is deprecated. Please contact us if you
                          have a valid use case for it.
                        type: boolean
                        nullable: true
                        example: true
                      has_reporting:
                        deprecated: true
                        description: >-
                          This field is deprecated. Please contact us if you
                          have a valid use case for it.
                        type: boolean
                        nullable: true
                        example: true
                      is_real_time_connection:
                        deprecated: true
                        description: >-
                          This field is deprecated. Please contact us if you
                          have a valid use case for it.
                        type: boolean
                        example: true
                      brokerage_type:
                        description: >-
                          Type of brokerage. Currently supports traditional
                          brokerages and crypto exchanges.
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                          name:
                            type: string
                            example: Traditional Brokerage
                      exchanges:
                        deprecated: true
                        description: >-
                          This field is deprecated. Please contact us if you
                          have a valid use case for it.
                        type: array
                        items: {}
                        example:
                          - 2bcd7cc3-e922-4976-bce1-9858296801c3
                          - 4bcd8cc3-c122-4974-dc21-1858296801f4
                      open_url:
                        deprecated: true
                        description: This field is deprecated.
                        type: string
                        format: url
                        nullable: true
                  name:
                    description: A short, human-readable name for the connection.
                    type: string
                    example: Connection-1
                  type:
                    description: >-
                      Whether the connection is read-only or trade-enabled. A
                      read-only connection can only be used to fetch data, while
                      a trade-enabled connection can be used to place trades.
                      Valid values are `read` and `trade`.
                    type: string
                    example: trade
                  disabled:
                    description: >
                      Whether the connection is disabled. A disabled connection
                      can no longer access the latest data from the brokerage,
                      but will continue to return the last cached state. A
                      connection can become disabled for many reasons and
                      differs by brokerage. Here are some common scenarios:


                      - The user has changed their username or password at the
                      brokerage.

                      - The user has explicitly removed the access grant at the
                      brokerage.

                      - The session has expired at the brokerage and now
                      requires explicit user re-authentication.


                      Please see [this guide](/docs/fix-broken-connections) on
                      how to fix a disabled connection.
                    type: boolean
                    example: false
                  disabled_date:
                    description: >-
                      Timestamp of when the connection was disabled in
                      SnapTrade.
                    type: string
                    format: date-time
                    nullable: true
                    example: '2022-01-21T20:11:19.217Z'
                  meta:
                    deprecated: true
                    description: >-
                      Additional data about the connection. This information is
                      specific to the brokerage and there's no standard format
                      for this data. This field is deprecated and subject to
                      removal in a future version.
                    type: object
                    example:
                      identifier: 123456
                  updated_date:
                    deprecated: true
                    description: >-
                      Timestamp of when the connection was last updated in
                      SnapTrade. This field is deprecated. Please let us know if
                      you have a valid use case for this field.
                    type: string
                    format: date-time
                    example: '2024-08-20T21:56:20.057Z'
                  is_eligible_for_payout:
                    description: >-
                      Whether the connection is eligible for a payout. This is
                      an experimental field that is NOT generally available for
                      all partners. Do not use in production without speaking to
                      the SnapTrade team.
                    type: boolean
                    example: true
                  data_freshness_mode:
                    description: >
                      Possible values include:

                      - realtime

                      - delayed


                      Indicates whether SnapTrade will provide delayed or
                      realtime data for this connection. `delayed` means
                      SnapTrade uses cached data for the connection because of
                      the customer's plan, or because of brokerage limitations.
                      `realtime` means SnapTrade retrieves current data from the
                      brokerage during API calls. See the "Data freshness"
                      column on the "Positions & recent orders" tab at
                      https://support.snaptrade.com/brokerages.
                    type: string
                    example: realtime
        default:
          description: Unexpected error.
      security:
        - PartnerSignature: []
          PartnerClientId: []
          PartnerTimestamp: []
          userId: []
          userSecret: []
        - PersonalSignature: []
          PersonalClientId: []
          PersonalTimestamp: []

```